package com.sjkj.base_lib.camera.dh.bean;

import java.util.List;

public class CameraDetailsBean {

    /**
     * id : 0a55e67a952c4ab291d0d02feccd6682
     * cameraName : 迎水
     * cameraIp : 111.26.114.140
     * cameraPort : 2021
     * cameraAccount : admin
     * cameraPasword : Admin12345
     * cameraCode : 1000010
     * cameraFactory : 大华
     * cameraRegion : 迎水
     * cameraRadius : 1
     * height : 1
     * longitude : 124.53665213549084
     * latitude : 43.6080665839836
     * cameraType : camera_type_1
     */

    private String videoStream;

    public String getVideoStream() {
        return videoStream;
    }

    public void setVideoStream(String videoStream) {
        this.videoStream = videoStream;
    }

    private AppCameraDetailsBOBean appCameraDetailsBO;
    /**
     * channelCode : ZgVzqsjwA1DTF561VGHK5E
     * channelName : 1
     * channelType : 1
     */

    private List<AppCameraChannelBOSBean> appCameraChannelBOS;

    public AppCameraDetailsBOBean getAppCameraDetailsBO() {
        return appCameraDetailsBO;
    }

    public void setAppCameraDetailsBO(AppCameraDetailsBOBean appCameraDetailsBO) {
        this.appCameraDetailsBO = appCameraDetailsBO;
    }

    public List<AppCameraChannelBOSBean> getAppCameraChannelBOS() {
        return appCameraChannelBOS;
    }

    public void setAppCameraChannelBOS(List<AppCameraChannelBOSBean> appCameraChannelBOS) {
        this.appCameraChannelBOS = appCameraChannelBOS;
    }

    public static class AppCameraDetailsBOBean {
        private String id;
        private String cameraName;
        private String cameraIp;
        private int cameraPort;
        private String cameraAccount;
        private String cameraPasword;
        private String cameraCode;
        private String cameraFactory;
        private String cameraRegion;
        private String cameraRadius;
        private String height;
        private double longitude;
        private double latitude;
        private String cameraType;

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public String getCameraName() {
            return cameraName;
        }

        public void setCameraName(String cameraName) {
            this.cameraName = cameraName;
        }

        public String getCameraIp() {
            return cameraIp;
        }

        public void setCameraIp(String cameraIp) {
            this.cameraIp = cameraIp;
        }

        public int getCameraPort() {
            return cameraPort;
        }

        public void setCameraPort(int cameraPort) {
            this.cameraPort = cameraPort;
        }

        public String getCameraAccount() {
            return cameraAccount;
        }

        public void setCameraAccount(String cameraAccount) {
            this.cameraAccount = cameraAccount;
        }

        public String getCameraPasword() {
            return cameraPasword;
        }

        public void setCameraPasword(String cameraPasword) {
            this.cameraPasword = cameraPasword;
        }

        public String getCameraCode() {
            return cameraCode;
        }

        public void setCameraCode(String cameraCode) {
            this.cameraCode = cameraCode;
        }

        public String getCameraFactory() {
            return cameraFactory;
        }

        public void setCameraFactory(String cameraFactory) {
            this.cameraFactory = cameraFactory;
        }

        public String getCameraRegion() {
            return cameraRegion;
        }

        public void setCameraRegion(String cameraRegion) {
            this.cameraRegion = cameraRegion;
        }

        public String getCameraRadius() {
            return cameraRadius;
        }

        public void setCameraRadius(String cameraRadius) {
            this.cameraRadius = cameraRadius;
        }

        public String getHeight() {
            return height;
        }

        public void setHeight(String height) {
            this.height = height;
        }

        public double getLongitude() {
            return longitude;
        }

        public void setLongitude(double longitude) {
            this.longitude = longitude;
        }

        public double getLatitude() {
            return latitude;
        }

        public void setLatitude(double latitude) {
            this.latitude = latitude;
        }

        public String getCameraType() {
            return cameraType;
        }

        public void setCameraType(String cameraType) {
            this.cameraType = cameraType;
        }
    }

    public static class AppCameraChannelBOSBean {
        private String channelCode;
        private String channelName;
        private String channelType;

        public String getChannelCode() {
            return channelCode;
        }

        public void setChannelCode(String channelCode) {
            this.channelCode = channelCode;
        }

        public String getChannelName() {
            return channelName;
        }

        public void setChannelName(String channelName) {
            this.channelName = channelName;
        }

        public String getChannelType() {
            return channelType;
        }

        public void setChannelType(String channelType) {
            this.channelType = channelType;
        }
    }
}
